# Migration state of a flyway schema

Migration state of a flyway schema

Endpoint: POST /v1/orgs/{org}/projects/{project}/dbschema/{dbschema}/flyway/migrationstate
Version: 1.0
Security: x-api-key

## Path parameters:

  - `org` (string, required)
    Organization identifier

  - `project` (string, required)
    Project identifier

  - `dbschema` (string, required)
    Identifier of the database schema

## Header parameters:

  - `Harness-Account` (string)
    Identifier field of the account the resource is scoped to. This is required for Authorization methods other than the x-api-key header. If you are using the x-api-key header, this can be skipped.

## Query parameters:

  - `page` (integer)
    Pagination page number strategy: Specify the page number within the paginated collection related to the number of items on each page.

  - `limit` (integer)
    Pagination: Number of items to return.

  - `search_term` (string)
    This would be used to filter resources having attributes matching the search term.

## Request fields (application/json):

  - `instanceFilter` (object)
    Get migration state request instance input

  - `instanceFilter.instances` (array)

  - `instanceFilter.order` (string)
    order of instance entity
    Enum: "DESC", "ASC"

  - `instanceFilter.sort` (string)
    sort for instance entity
    Enum: "name", "updated", "created", "identifier"

## Response 200 fields (application/json):

  - `instances` (array)

  - `instances.identifier` (string, required)

  - `instances.name` (string, required)

  - `migrations` (array)

  - `migrations.deployedAt` (integer, required)
    epoch seconds when the migration was applied

  - `migrations.description` (string)
    Description from the migration script

  - `migrations.instances` (array, required)

  - `migrations.instances.error` (string)

  - `migrations.instances.instance` (string, required)
    Identfier of the instance

  - `migrations.instances.pipeline` (string, required)

  - `migrations.instances.planExecutionId` (string, required)

  - `migrations.instances.stageExecutionId` (string, required)

  - `migrations.instances.status` (string, required)
    Status of change set deployment
    Enum: "Rolled_Back", "Successfully_Deployed", "Not_Deployed", "Deployment_Failed"

  - `migrations.instances.tag` (string)

  - `migrations.instances.updated` (integer)
    Time of last Change Set Deployment/Rollback attempt

  - `migrations.type` (string, required)
    type of migration, whether baseline or actual script migration

  - `migrations.version` (string, required)
    version of flyway migration script

  - `schema` (string, required)
    Identifier of the Schema

## Response 400 fields (application/json):

  - `message` (string, required)
    error message detail


